Subject: 2.2.1-rmk2 released

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Sun, 7 Feb 1999 23:49:40 +0000 (GMT)

Hi All,

More new patches...

This one should not affect NetWinder users too much - it's more Acorn-based
fixes and such like.

Things changed:

 - Acorn VIDC resolution selection.
	Please get the 'fbset' utility (see linux/Documentation).  It's
	not tested to death, but seems to work ok for me.  I don't
	guarantee that it'll work out that a resolution is not valid,
	but at least you can now dynamically change it (and have virtual
	consoles at different resolutions!)

   NOTE: currently for VIDC1 machines, the unused screen memory is *not*
         freed with this kernel.  There will be a kernel option where you
	 can specify the amount of memory you want to allocate to the
	 screen in a later kernel.

   NOTE: read drivers/video/acornfb.c for kernel options, incl. monitor
	 types.

 - Miscellaneous A5000/Old Arc fixes.
	The kernel is again able to handle more than 4 bash shells
	before killing processes.  PhilB pointed out the reason.  The
	fix isn't complete yet, but is sufficient to get things stable
	again.

 - Duplicate code removal in fault-arm*.c.

 - NWFPE added.

 - vfork fixed.

 - EBSA285/NetWinder flash correctly protected, dispite what Phil may
   tell you. ;)

 - small_page allocation routines more flexable to allow 8k and 1k allocations
   depending on it's configuration.

 - arch/arm/drivers has gone!  arch/arm/special contains arch/arm/drivers/char1.
	This means that the old drivers in arch/arm/drivers/char are no
	longer in the tree.

Enjoy, and don't forget to let me know about breakages!

PS, how do you subscribe to the 7110 mailing list?
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: [email-masked]
Date: Mon, 08 Feb 1999 17:35:30 +0000

I've updated my kernel changes to go with Russell's latest patch.

ftp://ftp.netwinder.org/users/p/philb/linux-2.2.1-philb-990208.gz

The patch is a lot smaller than previous versions because NWFPE (which was the 
majority by volume) is now in Russell's tree.

Woody, this includes most of the stuff we discussed last week.  You might like 
to give it a go.  Rod, I think NWFPE stands a chance of working as a module 
now.  Let me know if you try it.

There's also a new prebuilt kernel image which should work on CATS, EBSA-285 
and NetWinder (though I've only tried the last of those):

ftp://ftp.netwinder.org/users/p/philb/2.2.1/Image-285-990208.gz

p.